@import url("https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap");

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

body {
  background: url(https://divineerp-resource.s3.ap-south-1.amazonaws.com/wallpaper/Divine/1CE1AF78-3D54-4034-A338-FB9ABC558C9D.png);
  background-attachment: fixed;
  background-size: cover;
  background-repeat: no-repeat;
  font-family: "Roboto", Helvetica, sans-serif;
  align-items: center;
  display: flex;
}

.signup-container {
  width: 100%;
  height: 100%;
  max-width: 450px;
  margin: 20px;
  padding: 24px;
  background: #ffffff00;
  backdrop-filter: blur(30px) saturate(150%);
  border: 1px solid rgba(255, 255, 255, 0.2);
  box-shadow: 0 4px 20px rgba(0, 0, 0, 0.08);
  color: #fff;
  border-radius: 10px;
}

.signup-title {
  margin: 0 0 15px;
  text-align: center;
  font-weight: 300;
}

form {
  display: flex;
  flex-direction: column;
  gap: 10px;
}

.div-form-group {
  display: flex;
  gap: 10px;

  :nth-child(div) {
    width: 48%;
  }
}

.form-group {
  display: flex;
  /* align-items: center; */
  flex-wrap: wrap;
  gap: 5px;
}

.form-label {
  display: block;
  font-size: 14px;
  margin-top: 5px;
  letter-spacing: 0.5px;
  order: 1;
}

.form-control {
  width: 100%;
  height: 38px;
  border: none;
  padding: 8px 12px;
  border-bottom: 1px solid #d6d6d687;
  border-radius: 5px;
  background: #abbeea33;
  font-size: 15px;
  color: #f5f5f5;
  outline: none;
  order: 3;

  &:focus {
    border-color: #f7f9fc;
    box-shadow: 0 0 0 2px rgba(66, 133, 244, 0.12);
  }
}

.inline-input {
  display: flex;
  align-items: center;
  position: relative;
  width: 100%;
  order: 2;

  .validation-error,
  .field-validation-error {
    position: absolute;
    top: -24px;
    left: 20%;
    color: #d26962;
    font-size: 0.85rem;
    white-space: nowrap;
    pointer-events: none;
  }

  .fix-input {
    flex: 0 0 auto;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 9px 10px;
    background: #344559;
    border-bottom: 1px solid #344559;
    border-top-left-radius: 5px;
    border-bottom-left-radius: 5px;
    height: 96%;
    width: 14%;
  }

  .form-control {
    flex: 1;
    width: 100%;
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
  }
}

.validation-error {
  display: block;
  margin-top: 5px;
  color: #d26962;
  font-size: 14px;
  order: 2;
}

.captcha-container {
  display: flex;
  padding-top: 27px;
  gap: 10px;

  .captcha-image {
    width: 140px;
    height: 38px;
    border: 1px solid #ccc;
    border-radius: 4px;
  }

  .captcha-refresh {
    height: 38px;
    padding: 6px;
    border: 1px solid #ccc;
    background: #fff;
    border-radius: 5px;
    cursor: pointer;

    &:hover {
      background: #f0f0f0;
    }
  }
}

.signup-button {
  width: 100%;
  height: 38px;
  border: 0;
  border-radius: 5px;
  background: #2f609d;
  color: #fff;
  font-size: 15px;
  font-weight: 600;
  cursor: pointer;

  &:hover {
    background: #254c7b;
  }
}

.input-error {
  border-color: #d26962;

  &:focus {
    border-color: #d26962;
    box-shadow: 0 0 0 2px rgba(217, 48, 37, 0.12);
  }
}

@media only screen and (max-width: 768px) {
  .signup-container {
    margin: 20px auto;
  }
}

@media only screen and (max-width: 500px) {
  body {
    margin: 20px;
    justify-content: center;
  }

  .signup-container {
    margin: 0;
    padding: 20px;
    max-width: 100%;
  }

  .form-control {
    order: 2;
  }

  .validation-error {
    order: 3;
  }

  .inline-input {
    margin-bottom: 20px;

    .validation-error {
      top: 40px;
      left: 0px;
    }
  }

  .captcha-image {
    min-width: 95px;
    width: 100%;
  }
}
